Finally, Rated 5 out of 5 stars

I managed to get it to work under ubuntu 11.4 / FF7.1. I disabled the Ubuntu extension for FF, and that did the trick. I still think we deserve to be directed on things even this easy.

This review is for a previous version of the add-on (2.2.0).  This user has 6 previous reviews of this add-on.